var Time = {

  SECOND: 0,

  MINUTE: 0,

  HOUR: 0,

  DAY: 0,

  hattrickTime: 0,

  hattrickDiffTime: 0,

  start: function(hattrickTime) {

    var now = new Date();

    Time.hattrickTime = hattrickTime;

    Time.hattrickDiffTime = hattrickTime - now;

  },

  formatDate: function(date) {

    return date.toLocaleString();

  },

  parseFetchDate: function (response) {

      return Time.parseDate(Util.Parse("<FetchedDate>(.*?)</FetchedDate>", response));

  },

  parseDate: function(str) {

    // str is a date string in the form "yyyy-mm-dd hh:mm:ss" (Ex: "2005-12-03 22:00:00")

    // if hh:mm:ss is 00:00:00, it is ommited

    var reg1 = new RegExp(/(\d*)-(\d*)-(\d*).*/);

    var reg2 = new RegExp(/.*? (\d*):(\d*):(\d*)/);

    var f;

    var date = new Date();

    

    var a, b, c;

  

    f = reg1.exec(str);

    date.setFullYear(parseInt(f[1], 10));

    date.setMonth(parseInt(f[2], 10)-1, parseInt(f[3], 10));

  

    f = reg2.exec(str);

    if (f) {

      date.setHours(parseInt(f[1], 10));

      date.setMinutes(parseInt(f[2], 10));

      date.setSeconds(parseInt(f[3], 10));

    } else {

      date.setHours(0);

      date.setMinutes(0);

      date.setSeconds(0);

    }

    return date;

  },

  getMatchTime: function(match) {

  /** ----------------------------------

   * Match time sequence

   * -----------------

   * 00:00 start game

   * 00:45 end half one

   * 01:00 start half 2

   * 01:45 end half 2.

   * - extra time

   * 1:45 start extratime

   * 2:15 end extratime (or by first goal)

   * - penalties

   * 2:15 start penalty

   * 2:25 end penalty (earliest)

   * 2:59 end penalty (latest)

   * each penalty = 1 minute

   * max penalties = 44 

   */

   

    var strings = document.getElementById("strings");

    if (match.isFinish) {

      return strings.getString("time.finish");

    };

  

    var startTime = match.date;

    var time = Time.hattrickTime - startTime; // time elapsed in miliseconds

  

    if (time<0) {

      var seconds = Math.floor(Math.abs(time)/1000); // time elapsed in seconds

      var minutes = Math.floor(seconds/60); // time elapsed in minutes

      var hours = Math.floor(minutes/60); // time elapsed in minutes

      var days = Math.floor(hours/24); // time elapsed in minutes

  

      if (days > 1) 

        return strings.getString("time.starts_in") + " " + days + " " + strings.getString("time.days"); 

      if (days > 0) 

        return strings.getString("time.starts_in") + " " + days + " " + strings.getString("time.day"); 

      if (hours > 1)

        return strings.getString("time.starts_in") + " " + hours + " " + strings.getString("time.hours"); 

      if (hours > 0)

        return strings.getString("time.starts_in") + " " + hours + " " + strings.getString("time.hour"); 

      if (minutes > 1)

        return strings.getString("time.starts_in") + " " + minutes + " " + strings.getString("time.minutes"); 

      return strings.getString("time.starts_in") + " " + minutes + " " + strings.getString("time.minute"); 

    };

      

    var seconds = Math.floor(time/1000); // time elapsed in seconds

    var minutes = Math.floor(seconds/60); // time elapsed in minutes

   

    var m = minutes; // first half

    if(m <= 45) return "" + m + strings.getString("time.min") + " " + strings.getString("time.first_half");

    if(m < 60) return strings.getString("time.half_time");

    m = minutes-15; // second half

    if(m <= 90) return "" + m + strings.getString("time.min") + " " + strings.getString("time.second_half");

    // extra time

    if(m <= 120) return "" + m + strings.getString("time.min") + " " + strings.getString("time.extra_time");

    return strings.getString("time.penalties");

  }

};



Time.SECOND=1000;

Time.MINUTE=Time.SECOND*60;

Time.HOUR=Time.MINUTE*60;

Time.DAY=Time.HOUR*24;







